/**
 * 
 */
package com.wieseke.cptk.common.dao;

/**
 * @author Nicolas Wieseke
 * 
 */
public class ParasiteRank {

	/**
	 * the beginning of the timezone interval of the parasite node
	 */
	private int rankFrom;

	/**
	 * the end of the timezone interval of the parasite node
	 */
	private int rankTo;

	/**
	 * default constructor
	 * 
	 * @param rankFrom
	 * @param rankTo
	 */
	public ParasiteRank(int rankFrom, int rankTo) {
		this.rankFrom = rankFrom;
		this.rankTo = rankTo;
	}

	/**
	 * constructor
	 * 
	 * @param rank
	 */
	public ParasiteRank(ParasiteRank rank) {
		this.rankFrom = rank.getRankFrom();
		this.rankTo = rank.getRankTo();
	}

	/**
	 * @return the rankFrom
	 */
	public int getRankFrom() {
		return rankFrom;
	}

	/**
	 * @param rankFrom
	 *            the rankFrom to set
	 */
	public void setRankFrom(int rankFrom) {
		this.rankFrom = rankFrom;
	}

	/**
	 * @return the rankTo
	 */
	public int getRankTo() {
		return rankTo;
	}

	/**
	 * @param rankTo
	 *            the rankTo to set
	 */
	public void setRankTo(int rankTo) {
		this.rankTo = rankTo;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#hashCode()
	 */
	
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + rankFrom;
		result = prime * result + rankTo;
		return result;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#equals(java.lang.Object)
	 */
	
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (!(obj instanceof ParasiteRank))
			return false;
		ParasiteRank other = (ParasiteRank) obj;
		if (rankFrom != other.rankFrom)
			return false;
		if (rankTo != other.rankTo)
			return false;
		return true;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	
	public String toString() {
		return rankFrom + ":" + rankTo;
	}
}
