/**
 * 
 */
package com.wieseke.cptk.input.constants;

import com.wieseke.cptk.common.constants.ViewerConstants;

/**
 * @author Nicolas Wieseke
 * 
 */
public class InputViewerConstants extends ViewerConstants {

	/**
	 * constant for folding a node
	 */
	public final static int EDIT_MODE_FOLD_NODE = 0;
	/**
	 * constant for adding a node
	 */
	public final static int EDIT_MODE_ADD_NODE = 1;
	/**
	 * constant for deleting a node
	 */
	public final static int EDIT_MODE_DELETE_NODE = 2;
	/**
	 * constant for deleting a subtree
	 */
	public final static int EDIT_MODE_CUT_SUBTREE = 3;
	/**
	 * constant for editing a nodes label
	 */
	public final static int EDIT_MODE_CHANGE_LABEL = 4;
	/**
	 * constant for editing a nodes rank
	 */
	public final static int EDIT_MODE_CHANGE_RANK = 5;
	/**
	 * constant for editing a nodes association
	 */
	public final static int EDIT_MODE_ADD_ASSOCIATION = 6;
	/**
	 * constant for deleting a nodes associations
	 */
	public final static int EDIT_MODE_DELETE_ASSOCIATIONS = 7;
	/**
	 * constant for rearranging a nodes position in its parent child node list
	 */
	public final static int EDIT_MODE_REARRANGE_CHILD_POSITION = 8;

	/**
	 * the fraction of nodes without position information at which the positions
	 * should be calculated automatically
	 */
	public final static double UNPOSITIONED_NODE_FRACTION = 0.1d;

	/**
	 * the property name for the event which is fired when the edit mode is
	 * changed
	 */
	public final static String PROPERTY_EDIT_MODE = "EDIT_MODE";
	/**
	 * the property name for the event which is fired when the tree mode is
	 * changed
	 */
	public final static String PROPERTY_TREE_MODE = "TREE_MODE";

}
