/**
 * 
 */
package com.wieseke.cptk.input.preferences;

import org.eclipse.jface.preference.ColorFieldEditor;
import org.eclipse.jface.preference.FieldEditorPreferencePage;
import org.eclipse.jface.preference.FontFieldEditor;
import org.eclipse.jface.preference.IntegerFieldEditor;
import org.eclipse.ui.IWorkbench;
import org.eclipse.ui.IWorkbenchPreferencePage;
import org.eclipse.ui.PlatformUI;

/**
 * @author Nicolas Wieseke
 * 
 */
public class InputHostPreferencePage extends FieldEditorPreferencePage
		implements IWorkbenchPreferencePage {

	public InputHostPreferencePage() {
		super(GRID);
	}

	private IntegerFieldEditor hostLineWidth;
	private ColorFieldEditor hostLineColor;
	private IntegerFieldEditor hostNodeWidth;
	private IntegerFieldEditor hostNodeHeight;
	private ColorFieldEditor hostNodeColor;
	private ColorFieldEditor hostNodeOutlineColor;
	private ColorFieldEditor hostNodHighlightColor;
	private ColorFieldEditor hostNodeFoldSignColor;
	private FontFieldEditor hostFont;
	private ColorFieldEditor hostFontColor;

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * org.eclipse.jface.preference.FieldEditorPreferencePage#createFieldEditors
	 * ()
	 */
	
	protected void createFieldEditors() {
		this.hostNodeWidth = new IntegerFieldEditor(
				InputPreferenceConstants.INPUT_VIEWER_NAME_HOST_NODEWIDTH,
				InputPreferenceConstants.INPUT_VIEWER_HOST_NODEWIDTH_TEXT,
				getFieldEditorParent());
		addField(this.hostNodeWidth);
		this.hostNodeHeight = new IntegerFieldEditor(
				InputPreferenceConstants.INPUT_VIEWER_NAME_HOST_NODEHEIGHT,
				InputPreferenceConstants.INPUT_VIEWER_HOST_NODEHEIGHT_TEXT,
				getFieldEditorParent());
		addField(this.hostNodeHeight);

		this.hostLineWidth = new IntegerFieldEditor(
				InputPreferenceConstants.INPUT_VIEWER_NAME_HOST_LINEWIDTH,
				InputPreferenceConstants.INPUT_VIEWER_HOST_LINEWIDTH_TEXT,
				getFieldEditorParent());
		addField(this.hostLineWidth);
		this.hostLineColor = new ColorFieldEditor(
				InputPreferenceConstants.INPUT_VIEWER_NAME_HOST_LINECOLOR,
				InputPreferenceConstants.INPUT_VIEWER_HOST_LINECOLOR_TEXT,
				getFieldEditorParent());
		addField(this.hostLineColor);

		this.hostNodeColor = new ColorFieldEditor(
				InputPreferenceConstants.INPUT_VIEWER_NAME_HOST_NODECOLOR,
				InputPreferenceConstants.INPUT_VIEWER_HOST_NODECOLOR_TEXT,
				getFieldEditorParent());
		addField(this.hostNodeColor);
		this.hostNodeOutlineColor = new ColorFieldEditor(
				InputPreferenceConstants.INPUT_VIEWER_NAME_HOST_NODEOUTLINECOLOR,
				InputPreferenceConstants.INPUT_VIEWER_HOST_NODEOUTLINECOLOR_TEXT,
				getFieldEditorParent());
		addField(this.hostNodeOutlineColor);
		this.hostNodHighlightColor = new ColorFieldEditor(
				InputPreferenceConstants.INPUT_VIEWER_NAME_HOST_NODEHIGHLIGHTCOLOR,
				InputPreferenceConstants.INPUT_VIEWER_HOST_NODEHIGHLIGHTCOLOR_TEXT,
				getFieldEditorParent());
		addField(this.hostNodHighlightColor);
		this.hostNodeFoldSignColor = new ColorFieldEditor(
				InputPreferenceConstants.INPUT_VIEWER_NAME_HOST_NODEFOLDSIGNCOLOR,
				InputPreferenceConstants.INPUT_VIEWER_HOST_NODEFOLDSIGNCOLOR_TEXT,
				getFieldEditorParent());
		addField(this.hostNodeFoldSignColor);

		this.hostFontColor = new ColorFieldEditor(
				InputPreferenceConstants.INPUT_VIEWER_NAME_HOST_FONTCOLOR,
				InputPreferenceConstants.INPUT_VIEWER_HOST_FONTCOLOR_TEXT,
				getFieldEditorParent());
		addField(this.hostFontColor);
		this.hostFont = new FontFieldEditor(
				InputPreferenceConstants.INPUT_VIEWER_NAME_HOST_FONT,
				InputPreferenceConstants.INPUT_VIEWER_HOST_FONT_TEXT,
				getFieldEditorParent());
		addField(hostFont);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * org.eclipse.ui.IWorkbenchPreferencePage#init(org.eclipse.ui.IWorkbench)
	 */
	
	public void init(IWorkbench workbench) {
		setPreferenceStore(PlatformUI.getPreferenceStore());
		setDescription("Preferences for visualizing of host nodes in the input data");
	}

}
