/**
 * 
 */
package com.wieseke.cptk.output.model;

import java.util.Arrays;
import java.util.Comparator;
import java.util.Map;

import com.wieseke.cptk.output.dao.OutputCophylogeny;
import com.wieseke.cptk.reconstruction.dao.EventType;
import com.wieseke.cptk.reconstruction.dao.ReconstructionSolution;

/**
 * @author Nic
 * 
 */
public class OutputReconstructions {

	private Map<EventType, ReconstructionSolution> solutions;
	private OutputReconstruction[] reconstructions;

	public OutputReconstructions(OutputCophylogeny cophylogeny) {
		this.solutions = cophylogeny.getBestSolutions();
		this.reconstructions = new OutputReconstruction[this.solutions.size()];
		int index = 0;
		for (ReconstructionSolution solution : this.solutions.values()) {
			this.reconstructions[index] = new OutputReconstruction(this,
					solution, cophylogeny.getReconstructionCophylogeny());
			index++;
		}
		Arrays.sort(this.reconstructions,
				new Comparator<OutputReconstruction>() {

					/**
					 * @param o1
					 * @param o2
					 * @return
					 */
					
					public int compare(OutputReconstruction o1,
							OutputReconstruction o2) {
						return o1.getQuality().compareTo(o2.getQuality());
					}
				});
	}

	/**
	 * @return the reconstructions array
	 */
	public OutputReconstruction[] getChildren() {
		return this.reconstructions;
	}

	public Object getParent() {
		return null;
	}

	public boolean hasChildren() {
		if (this.reconstructions != null)
			return this.reconstructions.length > 0;
		return false;
	}

}
