/**
 * 
 */
package com.wieseke.cptk.output.wizards;

import org.eclipse.jface.wizard.Wizard;

import com.wieseke.cptk.output.dao.OutputCophylogeny;

/**
 * @author Nicolas Wieseke
 * 
 */
public class ReconstructionChooseWizard extends Wizard {

	private ReconstructionChooseWizardPage reconstructionChooseWizardPage;
	private long number;

	public ReconstructionChooseWizard(OutputCophylogeny cophylogeny) {
	}

	public boolean performFinish() {
		this.number = -1;
		String numberText = reconstructionChooseWizardPage.getNumber();
		try {
			this.number = Long.parseLong(numberText);
		} catch (NumberFormatException e) {
			this.reconstructionChooseWizardPage
					.setDescription("A number has to be specified.");
			return false;
		}
		return true;
	}

	public void addPages() {
		reconstructionChooseWizardPage = new ReconstructionChooseWizardPage(
				"Choose reconstruction");
		addPage(reconstructionChooseWizardPage);
		super.addPages();
	}

	/**
	 * @return the label
	 */
	public Long getNumber() {
		return number;
	}

}
