/**
 * 
 */
package com.wieseke.cptk.reconstruction.dao;

import java.util.ArrayList;
import java.util.List;

/**
 * @author Nic
 * 
 */
public class ReconstructionChildMapping {

	/**
	 * indices of the host nodes to where the child ise mapped on
	 */
	private int childMapping;
	/**
	 * indices of the host node where a possible host switch starts
	 */
	private List<Integer> childTakeof;
	/**
	 * indices of the host node where a possible host switch ends
	 */
	private List<Integer> childLanding;
	/**
	 * flag indicating if a hostswitch occurred
	 */
	private boolean hostswitch;

	/**
	 * default constructor
	 */
	public ReconstructionChildMapping() {
		this.childMapping = -1;
		this.childTakeof = new ArrayList<Integer>();
		this.childLanding = new ArrayList<Integer>();
		this.hostswitch = false;
	}

	/**
	 * @param childMapping
	 * @param childTakeof
	 * @param childLanding
	 */
	public ReconstructionChildMapping(int childMapping,
			List<Integer> childTakeof, List<Integer> childLanding,
			boolean hostswitch) {
		this.childMapping = childMapping;
		this.childTakeof = childTakeof;
		this.childLanding = childLanding;
		this.hostswitch = hostswitch;
	}

	/**
	 * @return the childMapping
	 */
	public int getChildMapping() {
		return childMapping;
	}

	/**
	 * @param childMapping
	 *            the childMapping to set
	 */
	public void setChildMapping(int childMapping) {
		this.childMapping = childMapping;
	}

	/**
	 * @return the childTakeof
	 */
	public List<Integer> getChildTakeof() {
		return childTakeof;
	}

	/**
	 * @param childTakeof
	 *            the childTakeof to set
	 */
	public void setChildTakeof(List<Integer> childTakeof) {
		this.childTakeof = childTakeof;
	}

	/**
	 * @return the childLanding
	 */
	public List<Integer> getChildLanding() {
		return childLanding;
	}

	/**
	 * @param childLanding
	 *            the childLanding to set
	 */
	public void setChildLanding(List<Integer> childLanding) {
		this.childLanding = childLanding;
	}

	/**
	 * @return the hostswitch
	 */
	public boolean isHostswitch() {
		return hostswitch;
	}

	/**
	 * @param hostswitch
	 *            the hostswitch to set
	 */
	public void setHostswitch(boolean hostswitch) {
		this.hostswitch = hostswitch;
	}

}
